# 使用 JDK8 的 JRE 运行环境（只跑，不编译）
FROM eclipse-temurin:8-jre

# 容器内工作目录
WORKDIR /app

# Jenkinsfile 会把真正可运行的 jar 拷贝/重命名为：target/agri.jar
# 这里直接把它复制进容器
COPY agri-admin.jar /app/agri-admin.jar


EXPOSE 8088

# -d 是 docker run 的后台参数，不属于程序启动参数
# 固定启动命令主体
ENTRYPOINT ["java", "-jar", "/app/agri-admin.jar"]

# 默认激活的配置文件，可被 docker run 覆盖
CMD ["--spring.profiles.active=druid,mqtt,prod"]

# 声明容器对外暴露端口（只是声明，真正映射端口靠 docker run -p）
# EXPOSE 8088 5005

# -d 是 docker run 的后台参数，不属于程序启动参数
# ENTRYPOINT ["java","-agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=5005","-jar","/app/agri-admin.jar", "--spring.profiles.active=druid,mqtt,prod"]
